GtkItemEntry
3
GTKEXTRA Library

# GtkItemEntry

An item entry widget.

## Synopsis

    #include <gtkextra.h>

                        GtkItemEntry;
    GtkWidget*          gtk_item_entry_new                  (void);
    GtkWidget*          gtk_item_entry_new_with_max_length  (gint max);
    void                gtk_item_entry_set_text             (GtkItemEntry *entry,
                                                             const gchar *text,
                                                             GtkJustification justification);
    void                gtk_item_entry_set_justification    (GtkItemEntry *entry,
                                                             GtkJustification just);
    void                gtk_item_entry_set_cursor_visible   (GtkItemEntry *entry,
                                                             gboolean visible);
    gboolean            gtk_item_entry_get_cursor_visible   (GtkItemEntry *entry);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkEntry
                               +----GtkItemEntry

## Implemented Interfaces

GtkItemEntry implements AtkImplementorIface, GtkBuildable, GtkEditable and GtkCellEditable.

## Description

Originally GtkSheetEntry. This widget allows to change colors and justification and can be dinamically resized.

## Details

### GtkItemEntry

    typedef struct _GtkItemEntry GtkItemEntry;

The GtkItemEntry struct contains only private data. It should only be accessed through the functions described below.

### gtk_item_entry_new ()

    GtkWidget*          gtk_item_entry_new                  (void);

Returns :

### gtk_item_entry_new_with_max_length ()

    GtkWidget*          gtk_item_entry_new_with_max_length  (gint max);

Creates a new GtkItemEntry with the maximum allowed length of the contents of the widget. If the current contents are longer than the given length, then they will be truncated to fit.

`max` :

  the maximum length of the entry, or 0 for no maximum. (other than the maximum length of entries.) The value passed in will be clamped to the range 0-65536.

Returns :

  the newly-created GtkItemEntry widget.

### gtk_item_entry_set_text ()

    void                gtk_item_entry_set_text             (GtkItemEntry *entry,
                                                             const gchar *text,
                                                             GtkJustification justification);

Sets the text in the widget to the given value, replacing the current contents.

`entry` :

  a GtkItemEntry

`text` :

  the new text

`justification` :

  a GtkJustification : GTK_JUSTIFY_LEFT,GTK_JUSTIFY_RIGHT,GTK_JUSTIFY_CENTER,GTK_JUSTIFY_FILL

### gtk_item_entry_set_justification ()

    void                gtk_item_entry_set_justification    (GtkItemEntry *entry,
                                                             GtkJustification just);

Sets justification of the widget to the given value, replacing the current one.

`entry` :

  a GtkItemEntry

`just` :

  a GtkJustification : GTK_JUSTIFY_LEFT,GTK_JUSTIFY_RIGHT,GTK_JUSTIFY_CENTER,GTK_JUSTIFY_FILL

### gtk_item_entry_set_cursor_visible ()

    void                gtk_item_entry_set_cursor_visible   (GtkItemEntry *entry,
                                                             gboolean visible);

`entry` :

`visible` :

### gtk_item_entry_get_cursor_visible ()

    gboolean            gtk_item_entry_get_cursor_visible   (GtkItemEntry *entry);

`entry` :

Returns :